Opened 6 months ago

Last modified 6 months ago

#62518 assigned defect

port gimp2 fails at configure GIMP app on Catalina for GIMP 2.10.22, upstream patch exists for gimp/configure.ac

Reported by: bootchk (Lloyd Konneker) Owned by: devans@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: autoconf Cc:
Port: gimp2

Description (last modified by bootchk (Lloyd Konneker))

Using port gimp2 on Catalina, recent MacPorts install.

Symptom: during build of GIMP, while configuring, the configure script generated by autoconf throws "invalid syntax at 'fi)'. "

The GIMP configure.ac is not compatible with autoconf > 2.69. Apparently, this port uses autoconf 2.70 or greater.

Upstream has patched already in the unstable 2.10 (2.10.23) so the port gimp2-devel, which builds that version, does build.

It is possible that issues with autoconf will surface again, since others have said the GIMP configure.ac lacks many quotes ( I think they mean brackets) that give problems with newer autoconf.

If you must use this port, see gimp MR !357 which is the patch that upstream has applied to versions after 2.10.22.

Very soon (?) gimp 2.10.24 will be released, so this specific issue will go away if the port is updated to that version.

Change History (2)

comment:1 Changed 6 months ago by bootchk (Lloyd Konneker)

Description: modified (diff)

comment:2 Changed 6 months ago by bootchk (Lloyd Konneker)

Sorry, I see that a commit two days ago fixed this? I don't understand why my build yesterday failed, nor why my search of tickets failed to find previous ticket.

Note: See TracTickets for help on using tickets.